plot.cor {sma} | R Documentation

## Red and Green Color Image of Correlation Matrix

### Description

This function produces a red and green color image of a correlation matrix using an RGB color specification. Increasingly positive correlations are represented with reds of increasing intensity, and increasingly negative correlations are represented with greens of increasing intensity.

### Usage

    plot.cor(x, new=FALSE, nrgcols=50, labels=FALSE, labcols=1, title="", ...)

### Arguments

`x` | a matrix of numerical values.
`new` | If `new=F`, `X` must already be a correlation matrix. If `new=T`, the correlation matrix for the columns of `X` is computed and displayed in the image.
`nrgcols` | the number of colors (>= 1) to be used in the red and green palette.
`labels` | vector of character strings to be placed at the tickpoints, labels for the columns of `X`.
`labcols` | colors to be used for the labels of the columns of `X`. `labcols` can have either length 1, in which case all the labels are displayed using the same color, or the same length as `labels`, in which case a color is specified for the label of each column of `X`.
`title` | character string, overall title for the plot.
`...` | graphical parameters may also be supplied as arguments to the function (see `par`). For comparison purposes, it is good to set `zlim=c(-1,1)`.

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu

### See Also

`plot.mat`,`rgcolors.func`, `cor.na`, `cor`, `image`, `rgb`.

[Package sma version 0.5.14 Index]